:root {
  --font-size-sm: 16px;
  --font-size-md: 18px;
  --font-size-lg: 24px;
  --font-size-xl: 30px;
  --font-size-xxl: 40px;

  /* colors */
  --black-1: #000;
  --black: #1c171b;
  --red: #5f1b16;
  --beige: #f5e2c8;
  --background: #d0beab;
  --coffee: #ab998d;
  --lila: #605052;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  text-decoration: none;
  text-align: center;
  list-style-type: none
}

body,
html {
  height: 100%;
  background-image:
    url("assets/background.png");
  background-size: cover;
  background-position: center;
  background-repeat: repeat;
  display: flex;
  flex-direction: column;
}

/* HEADER STYLES */
#header {
  background-color: var(--lila);
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
  padding: 10px;
}

/* NAV STYLES */
nav ul li {
  display: inline;
  margin-right: 10px;
}

li a {
  font-size: var(--font-size-lg);
  color: var(--black);
}

li a:hover {
  color: var(--beige);
}

.unselected {
  color: var(--coffee);
}

/* MAIN STYLES */
main {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 80px;
}

h1 {
  font-size: var(--font-size-xl);
  margin-bottom: 30px;
  color: var(--red);
  display: flex;
  flex-direction: column;
}

/* FOOTER STYLES */
#footer {
  background-color: var(--lila);
  padding: 10px;
  color: var(--black-1);
}

@media (min-width: 768px) {
  nav ul li {
    margin-right: 20px;
  }

  nav ul li {
    margin-right: 20px;
  }

  h1 {
    font-size: var(--font-size-xxl);
  }
}

@media (min-width: 1440px) {
  h1 {
    flex-direction: row;
    margin-bottom: 3rem;
  }
}